diff --git a/ffc/quadrature/quadratureutils.py b/ffc/quadrature/quadratureutils.py
index 2018a8c..e930736 100644
--- a/ffc/quadrature/quadratureutils.py
+++ b/ffc/quadrature/quadratureutils.py
@@ -109,7 +109,7 @@ def flatten_psi_tables(tables, entity_type):
                             shape = fiat_tables.shape
                             value_shape = shape[1:-1]
                             fiat_tables = fiat_tables.reshape((shape[0],
-                                                               numpy.product(value_shape),
+                                                               numpy.prod(value_shape),
                                                                shape[-1]))
 
                         # Transform fiat_tables to a list of tables on
diff --git a/ffc/uflacs/language/cnodes.py b/ffc/uflacs/language/cnodes.py
index a5e68b5..dc794a3 100644
--- a/ffc/uflacs/language/cnodes.py
+++ b/ffc/uflacs/language/cnodes.py
@@ -1319,7 +1319,7 @@ def build_1d_initializer_list(values, formatter, padlen=0, precision=None):
     if formatter == str:
         formatter = lambda x, p: str(x)
     tokens = ["{ "]
-    if numpy.product(values.shape) > 0:
+    if numpy.prod(values.shape) > 0:
         sep = ", "
         fvalues = [formatter(v, precision) for v in values]
         for v in fvalues[:-1]:
@@ -1347,7 +1347,7 @@ def build_initializer_lists(values, sizes, level, formatter, padlen=0, precision
     if formatter == str:
         formatter = lambda x, p: str(x)
     values = numpy.asarray(values)
-    assert numpy.product(values.shape) == numpy.product(sizes)
+    assert numpy.prod(values.shape) == numpy.prod(sizes)
     assert len(sizes) > 0
     assert len(values.shape) > 0
     assert len(sizes) == len(values.shape)
